Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Interface BasicRealm

All Known Subinterfaces:
  DynamicUserAcl, ListableRealm, ManageableRealm

All Known Implementing Classes:
  AbstractListableRealm, AbstractManageableRealm, CachingRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by Pluggable Security Infrastructure.

    public interface BasicRealm

BasicRealm provides a minimal interface for realms. Different implementations of the security-related interfaces User, Group, Permission, and Acl are organized into Realms. BasicRealm is extended by ListableRealm and ManageableRealm, which add the ability to list all instances managed by the realm and the ability to create and destroy instances.

See Also:
  `User`, `GroupImpl`, `PermissionImpl`, `AclImpl`

Method Summary
`Acl` | `getAcl(String name)` Deprecated. Retrieves an Access Control List (Acl) of that name, or null.
`Acl` | `getAcl(String name, char separator)` Deprecated. Retrieves an Access Control List (Acl) with the best matching name, or null.
`Principal` | `getAclOwner(Object credential)` Deprecated. Retrieves the owner of all ACLs in a BasicRealm, or null, depending on the validity of the passed credential.
`Group` | `getGroup(String name)` Deprecated. Retrieves a group of that name or null.
`String` | `getName()` Deprecated. Gets the name of a BasicRealm.
`Permission` | `getPermission(String name)` Deprecated. Retrieves a permission object of that name or, if null is passed in, returns null.
`User` | `getUser(String name)` Deprecated. Retrieves a User by the specified name, or null.
`User` | `getUser(UserInfo userInfo)` Deprecated. Checks whether some User matches the presented UserInfo and accepts its credentials.
`void` | `init(String name, Object ownerCredential)` Deprecated. Initializes a realm implementation.
`void` | `load(String name, Object credential)` Deprecated. Loads a BasicRealm from some persistent state identified in the name.
`void` | `save(String name)` Deprecated. Saves the realm to some persistent state identified in the name.

Method Detail

### init

    void init(String name,
              Object ownerCredential)
              throws NotOwnerException

  Deprecated.
  Initializes a realm implementation. Throws NotOwnerException on reinitialization if the owner credential is invalid.

  Parameters:
    `name` - Name of Realm
    `ownerCredential` - Credentialed owner of a BasicRealm
  Throws:
    `NotOwnerException` - if the owner credential is invalid

### getName

    String getName()

  Deprecated.
  Gets the name of a BasicRealm.

  Returns:
    Name

### getUser

    User getUser(String name)

  Deprecated.
  Retrieves a User by the specified name, or null.

  Parameters:
    `name` - User name
  Returns:
    User object

### getUser

    User getUser(UserInfo userInfo)

  Deprecated.
  Checks whether some User matches the presented UserInfo and accepts its credentials. Typically, the UserInfo must be created from a RealmProxy for this realm.

  Parameters:
    `userInfo` - Credentials to check against
  Returns:
    Authenticated User or null

### getAclOwner

    Principal getAclOwner(Object credential)

  Deprecated.
  Retrieves the owner of all ACLs in a BasicRealm, or null, depending on the validity of the passed credential.

  Parameters:
    `credential` - Credentials of an owner
  Returns:
    Principal that is a BasicRealm owner

### getGroup

    Group getGroup(String name)

  Deprecated.
  Retrieves a group of that name or null.

  Parameters:
    `name` - Name of group
  Returns:
    Group that matches name

### getAcl

    Acl getAcl(String name)

  Deprecated.
  Retrieves an Access Control List (Acl) of that name, or null.

  Parameters:
    `name` - Name of ACL associated with a BasicRealm
  Returns:
    Acl object

### getAcl

    Acl getAcl(String name,
               char separator)

  Deprecated.
  Retrieves an Access Control List (Acl) with the best matching name, or null. A name matches if it is a prefix. The longer the prefix, the better the match. The only prefixes considered are up to, but excluding the separator character. For example: `getAcl("/files/personal/bill", '.')` looks for Acls named files.personal.bill, files.personal, and files and returns the one with the longest name.

  Parameters:
    `name` - Name of the Acl to retrieve
    `separator` - Character separator
  Returns:
    Acl object

### getPermission

    Permission getPermission(String name)

  Deprecated.
  Retrieves a permission object of that name or, if null is passed in, returns null. If the named permission does not exist, then it will be created and put in the list of permissions. If you pass in null, null will be returned.

  Parameters:
    `name` - Name of permission to retrieve
  Returns:
    Permission object

### load

    void load(String name,
              Object credential)
              throws ClassNotFoundException,
                     IOException,
                     NotOwnerException

  Deprecated.
  Loads a BasicRealm from some persistent state identified in the name. Different implementations differ in how they are stored persistently and how they interpret the name.

  Parameters:
    `name` - Name of BasicRealm to load
    `credential` - Credentialed owner of a BasicRealm
  Throws:
    `ClassNotFoundException` - if the BasicRealm cannot be found
    `IOException` - if there is an I/O error
    `NotOwnerException` - if the credential does not match an owner

### save

    void save(String name)
              throws IOException

  Deprecated.
  Saves the realm to some persistent state identified in the name. Different implementations differ in how they are stored persistently and how they interpret the name.

  Parameters:
    `name` - Name to save under
  Throws:
    `IOException` - if there is an I/O error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD